Index: mklist.f
===================================================================
--- mklist.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ mklist.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,38 +1,32 @@
-! **************************************************************
-!
-! This file contains the subroutines: mklist,quench
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: mklist,quench
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine mklist(nml)
 
-! ......................................................................
-! PURPOSE: Compile interaction lists ('1-4' according to Scheraga)
-!
-! CALLS: quench
-! ......................................................................
-! TODO: Calculate van-der-Waals regions over all molecules.
+c ......................................................................
+c PURPOSE: Compile interaction lists ('1-4' according to Scheraga)
+c
+c CALLS: quench
+c ......................................................................
+c TODO: Calculate van-der-Waals regions over all molecules.
       include 'INCL.H'
-      integer nml
-
-      integer mxh, mx2, l1st1, l1st2, l2nd1, l2nd2, l1i, l2i
+
       parameter (mxh=50,         ! max. # of atom regions
-     &           mx2=50)
+     #           mx2=50)
 
       logical ovlp,quench
 
       dimension l1st1(mxh),l1st2(mxh),l2nd1(mxh),l2nd2(mxh)
-     &         ,l1i(mxbd),l2i(mx2)
-
-      integer ia, i, i1s, i2s, ibd, ib, ifivr, ifiat, ilaat, im, ilavr,
-     &        iob, io, ioiob, iow, it, is, iv, jbd, j, n1i, n14, n1st,
-     &        n2nd, n2i, ntlms, nvw
-
-! _______________________ indices of 1st vdw-region/14-partner for 'nml'
+     #         ,l1i(mxbd),l2i(mx2)
+
+c _______________________ indices of 1st vdw-region/14-partner for 'nml'
       if (nml.eq.1) then
         ivwml1(1)=1
@@ -45,6 +39,6 @@
       ntlms=nmsml(nml)
       if (ntlms.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' mklist> No mov. sets defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' mklist> No mov. sets defined in molecule #',nml
         nvwml(nml)=0
         n14ml(nml)=0
@@ -54,13 +48,13 @@
       nvw=ivwml1(nml)-1     ! # of vdw-regions we have so far
       n14=i14ml1(nml)-1     ! # of 14-partners      -"-
-! First atom in molecule
+c First atom in molecule
       ifiat=iatrs1(irsml1(nml))
-! Last atom in molecule
+c Last atom in molecule
       ilaat=iatrs2(irsml2(nml))
-! First variable in molecule
+c First variable in molecule
       ifivr=ivrml1(nml)
-! Last variable in molecule
+c Last variable in molecule
       ilavr=ifivr+nvrml(nml)-1
-! ____________________________ initialize: 1st vdw-region & 14-partner per atom 
+c ____________________________ initialize: 1st vdw-region & 14-partner per atom 
       do i=ifiat,ilaat
         ivwat1(i)=0         !!!  for some atoms ...
@@ -80,9 +74,9 @@
         if ((i2s-i1s+1).gt.0) then
 
-! ____________ exclude mov.sets of var. 'iv' from 1ST list of interact.partn.
+c ____________ exclude mov.sets of var. 'iv' from 1ST list of interact.partn.
           do is=i1s,i2s
             ovlp=quench(latms1(is),latms2(is),n1st,mxh,l1st1,l1st2)
           enddo
-! _______________________________ intitialize 2ND list with current 1ST list
+c _______________________________ intitialize 2ND list with current 1ST list
           do i=1,n1st
             l2nd1(i)=l1st1(i)
@@ -90,5 +84,5 @@
           enddo
           n2nd=n1st
-! _________________________________ exclude 'ib' of var. 'iv' from 2ND list
+c _________________________________ exclude 'ib' of var. 'iv' from 2ND list
           ib=iowat(iatvr(iv))
           ovlp=quench(ib,ib,n2nd,mxh,l2nd1,l2nd2)
@@ -100,14 +94,13 @@
             ovlp=quench(iob,iob,n2nd,mxh,l2nd1,l2nd2) ! & in 2ND list
 
-! _____ atoms branching from 'iob': into GENERAL list of 1-4 partners
+c _____ atoms branching from 'iob': into GENERAL list of 1-4 partners
             do i=1,nbdat(iob)
               ibd=ibdat(i,iob)
               if (ibd.ne.ib.and.iowat(ibd).eq.iob.and.
-     &            quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
+     #            quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
                 n2i=n2i+1
                 if (n2i.gt.mx2) then
-                  write(logString, '(a,i3,2a)')  ' mklist> Molecule # ',
-     &                nml,
-     &                ': too many atoms bound to ',nmat(iob)
+                  write (*,'(a,i3,2a)')  ' mklist> Molecule # ',nml,
+     #                ': too many atoms bound to ',nmat(iob)
                   stop
                 endif
@@ -115,6 +108,6 @@
               endif
             enddo  ! ... branches of 'iob'
-! ____________________________ check for further '1-4' partners
-!                              connected to branches 'l2i'
+c ____________________________ check for further '1-4' partners
+c                              connected to branches 'l2i'
             do i=1,n2i
               ia=l2i(i)
@@ -123,10 +116,9 @@
                 do j=latms1(im),latms2(im)
                   if (ia.ne.j.and.
-     &                quench(j,j,n2nd,mxh,l2nd1,l2nd2) ) then
+     #                quench(j,j,n2nd,mxh,l2nd1,l2nd2) ) then
                     n2i=n2i+1
                     if (n2i.gt.mx2) then
-                      write (logString, '(a,i3,a)')  
-     &                         ' mklist> Molecule # '
-     &                         ,nml,': too many atoms in list L2I'
+                      write (*,'(a,i3,a)')  ' mklist> Molecule # '
+     #                         ,nml,': too many atoms in list L2I'
                       stop
                     endif
@@ -137,5 +129,5 @@
             enddo
 
-! ____ If 'iow(iob)' exists and in 2ND list: into GENERAL list of 1-4 partners
+c ____ If 'iow(iob)' exists and in 2ND list: into GENERAL list of 1-4 partners
             ioiob=iowat(iob)    !  existence of iow( iow(base) )
             if (ioiob.gt.0) then
@@ -143,6 +135,6 @@
                 n2i=n2i+1
                 if (n2i.gt.mx2) then
-                  write (logString, '(a,i3,2a)')  ' mklist> Molecule # '
-     &             ,nml,': too many atoms bound to ',nmat(iob)
+                  write (*,'(a,i3,2a)')  ' mklist> Molecule # '
+     #             ,nml,': too many atoms bound to ',nmat(iob)
                   stop
                 endif
@@ -158,29 +150,27 @@
           endif
 
-! ______ Atoms bound to 'ib' & in 2ND list(=are NOT in m.s of 'iv'):
-!                    exclude from 2ND list & put in list 'l1i'
+c ______ Atoms bound to 'ib' & in 2ND list(=are NOT in m.s of 'iv'):
+c                    exclude from 2ND list & put in list 'l1i'
           n1i=0
           do i=1,nbdat(ib)
             ibd=ibdat(i,ib)
             if (iowat(ibd).eq.ib.and.
-     &        quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
+     #        quench(ibd,ibd,n2nd,mxh,l2nd1,l2nd2) ) then
               n1i=n1i+1
               if (n1i.gt.mxbd) then
-                write (logString, '(a,i3,2a)')  ' mklist> Molecule # ',
-     &              nml,
-     &             ': too many atoms bound to ',nmat(ib)
+                write (*,'(a,i3,2a)')  ' mklist> Molecule # ',nml,
+     #             ': too many atoms bound to ',nmat(ib)
                 stop
               endif
               l1i(n1i)=ibd
-! _______ add atoms branching from 'l1i'-atoms to GENERAL list 1-4 partners
+c _______ add atoms branching from 'l1i'-atoms to GENERAL list 1-4 partners
               do j=1,nbdat(ibd)
                 jbd=ibdat(j,ibd)
                 if (iowat(jbd).eq.ibd.and.
-     &              quench(jbd,jbd,n2nd,mxh,l2nd1,l2nd2) ) then
+     #              quench(jbd,jbd,n2nd,mxh,l2nd1,l2nd2) ) then
                   n2i=n2i+1
                   if (n2i.gt.mx2) then
-                    write (logString, '(a,i3,2a)')  
-     &                 ' mklist> Molecule # ',nml,
-     &                 ': too many atoms bound to branches of ',nmat(ib)
+                    write (*,'(a,i3,2a)')  ' mklist> Molecule # ',nml,
+     #              ': too many atoms bound to branches of ',nmat(ib)
                     stop
                   endif
@@ -190,6 +180,6 @@
             endif
           enddo
-! _____________________________ check for further '1-4' partners
-!                               belonging to moving set of base 'ib'
+c _____________________________ check for further '1-4' partners
+c                               belonging to moving set of base 'ib'
           im=ixmsat(ib)
           if (im.gt.0) then
@@ -198,7 +188,6 @@
                 n2i=n2i+1
                 if (n2i.gt.mx2) then
-                  write (logString, '(a,i3,a)')  ' mklist> Molecule # ',
-     &               nml,
-     &               ': too many atoms n list L2I '
+                  write (*,'(a,i3,a)')  ' mklist> Molecule # ',nml,
+     #            ': too many atoms n list L2I '
                   stop
                 endif
@@ -210,9 +199,8 @@
           do is=i1s,i2s
             do i=latms1(is),latms2(is)  ! ============= atoms in m.s of 'iv'
-! ________________________________________ Current 2ND list -> VdW-interact.
+c ________________________________________ Current 2ND list -> VdW-interact.
               if ((nvw+n2nd).gt.mxvw) then
-                write (logString, '(a,i4,a,i5)') ' mklist> Molecule # ',
-     &            nml,
-     &            ': Number of vdw-domains > ',mxvw
+                write (*,'(a,i4,a,i5)') ' mklist> Molecule # ',nml,
+     #            ': Number of vdw-domains > ',mxvw
                 stop
               endif
@@ -225,5 +213,5 @@
                 lvwat2(nvw)=l2nd2(j)
               enddo  ! ... vdW-domains
-! _________________________________________ General list of 1-4 partners
+c _________________________________________ General list of 1-4 partners
               if ((n14+n2i).gt.mx14) goto 1
               i14at1(i)=n14+1
@@ -233,6 +221,6 @@
                 l14at(n14)=l2i(j)
               enddo
-! __________________________________ Special cases of 1-4 interactions
-!                                    (list l1i, atoms iob,ib)
+c __________________________________ Special cases of 1-4 interactions
+c                                    (list l1i, atoms iob,ib)
               iow=iowat(i)
               if (iow.ne.ib) then
@@ -265,5 +253,5 @@
       nvwml(nml)=nvw-ivwml1(nml)+1
       n14ml(nml)=n14-i14ml1(nml)+1
-! _________________________________ some cleaning up
+c _________________________________ some cleaning up
       do i=ifiat,ilaat
         if (ivwat1(i).le.0) then
@@ -277,46 +265,45 @@
       enddo
 
-! ____________________________________________ Summary
-!      do i=ifiat,ilaat
-!        write (logString, '(3a,i5,a)') ' ######## atom ',nmat(i),'(',i,')'
-!        iv1=ivwat1(i)
-!        iv2=ivwat2(i)
-!        if (iv1.le.iv2) then
-!          write (logString, '(a)') ' ---> vdW :'
-!          do j=iv1,iv2
-!            write (logString, '(i5,a,i5)') lvwat1(j),'-',lvwat2(j)
-!          enddo
-!        endif
-!        i41=i14at1(i)
-!        i42=i14at2(i)
-!        if (i41.le.i42) then
-!          write (logString, '(a)') ' ---> 1-4 :'
-!          write (logString, '(10i5)') (l14at(j),j=i41,i42)
-!        endif
-!      enddo
+c ____________________________________________ Summary
+c      do i=ifiat,ilaat
+c        write (*,'(3a,i5,a)') ' ######## atom ',nmat(i),'(',i,')'
+c        iv1=ivwat1(i)
+c        iv2=ivwat2(i)
+c        if (iv1.le.iv2) then
+c          write(*,'(a)') ' ---> vdW :'
+c          do j=iv1,iv2
+c            write (*,'(i5,a,i5)') lvwat1(j),'-',lvwat2(j)
+c          enddo
+c        endif
+c        i41=i14at1(i)
+c        i42=i14at2(i)
+c        if (i41.le.i42) then
+c          write(*,'(a)') ' ---> 1-4 :'
+c          write(*,'(10i5)') (l14at(j),j=i41,i42)
+c        endif
+c      enddo
 
       return
 
-    1 write (logString, '(a,i4,a,i5)') ' mklist> Molecule # ',nml,
-     &                     ': Number of 1-4 interactions > ',mx14
+    1 write (*,'(a,i4,a,i5)') ' mklist> Molecule # ',nml,
+     #                     ': Number of 1-4 interactions > ',mx14
       stop
       end
-! *********************************************
+c *********************************************
       logical function quench(i1,i2,n,mx,l1,l2)
 
-! ....................................................
-! PURPOSE:  Correct size/number (n) of index ranges
-!           given by lists 'l1' & 'l2' in order to
-!           EXCLUDE overlaps with range 'i1-i2'
-!
-!           quench = true, if any overlap was obtained
-!
-! CALLS: none
-!
-! ....................................................
-
-      implicit none
-      integer mx, j, n, j1, l1, j2, l2, i1, i2, ja, k
-      character(255) logString
+c ....................................................
+c PURPOSE:  Correct size/number (n) of index ranges
+c           given by lists 'l1' & 'l2' in order to
+c           EXCLUDE overlaps with range 'i1-i2'
+c
+c           quench = true, if any overlap was obtained
+c
+c CALLS: none
+c
+c ....................................................
+
+      implicit integer*4 (i-n)
+
       dimension l1(mx),l2(mx)
 
@@ -340,5 +327,5 @@
               n=n+1
               if (n.gt.mx) then
-                write (logString, '(a)') ' quench> too many sets'
+                write (*,'(a)') ' quench> too many sets'
                 stop
               endif
Index: mulcan_par.f
===================================================================
--- mulcan_par.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ mulcan_par.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -5,6 +5,6 @@
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
 !                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
 !
 ! **************************************************************
@@ -83,6 +83,6 @@
 !
       eol = energy()
-      write (logString, '(a,e12.5,/)')  'Energy of start configuration: ',eol
-      write (logString, *)
+      write (*,'(a,e12.5,/)')  'Energy of start configuration: ',eol
+      write(*,*)
 
       call outpdb(1, 'start.pdb')
@@ -100,5 +100,5 @@
        muold = int(min(xmax,max(xmin,eol/ebin+sign(0.5d0,eol))))
        ihist(muold) = ihist(muold) + 1
-       write (logString, *) nsw, eol, acz
+       write (*,*) nsw, eol, acz
 !
 ! ITERATE MULTICANONICAL WEIGHTS EVERY NUP SWEEPS 
@@ -143,13 +143,13 @@
 ! FINAL OUTPUT:
       acz = acz/dble(nsw*nvr)
-      write (logString, *) 'last energy',eol
-      write (logString, *) 'aczeptance rate:',acz
+      write(*,*) 'last energy',eol
+      write(*,*) 'aczeptance rate:',acz
 !
 ! OUTPUT OF FINAL HISTOGRAM
 !
-      write (logString, *) 'Histogram:'
+      write(*,*) 'Histogram:'
       do i=kmin,kmax
        if(xhist(i).gt.0.0d0) then
-        write (logString, *) i,xhist(i)
+        write(*,*) i,xhist(i)
        end if
       end do
Index: mulcan_par_mod.f90
===================================================================
--- mulcan_par_mod.f90	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ mulcan_par_mod.f90	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -44,7 +44,5 @@
       real*8, intent(in) :: binWidth, temp
       logical,  intent(in) :: l_iter
-      
-      double precision :: grnd, addang, eol, energy
-      
+
       integer :: i,j
       integer :: iv,nsw,muold
@@ -103,6 +101,6 @@
 
       eol = energy()
-      write (logString, '(a,e12.5,/)')  'Energy of start configuration: ',eol
-      write (logString, *)
+      write (*,'(a,e12.5,/)')  'Energy of start configuration: ',eol
+      write(*,*)
 
       call outpdb(1, 'start.pdb')
@@ -158,11 +156,11 @@
 ! Final output
       acz = acz/dble(nsw*nvr)
-      write (logString, *) 'last energy',eol
-      write (logString, *) 'acceptance rate:',acz
-
-      write (logString, *) 'Histogram:'
+      write(*,*) 'last energy',eol
+      write(*,*) 'acceptance rate:',acz
+
+      write(*,*) 'Histogram:'
       do i=kmin,kmax
        if(xhist(i).gt.0.0d0) then
-        write (logString, *) i,xhist(i)
+        write(*,*) i,xhist(i)
        end if
       end do
@@ -216,8 +214,5 @@
       real*8, allocatable :: xhist(:),g1(:),ent(:)
       integer, allocatable :: ihist(:)
-      
-      double precision :: eol_old, x, grnd, addang, eol, energy, dham
-
-      integer :: nresi, nswm, nhy, nhx
+
       integer :: i,j
       integer :: iv,nsw,muold
@@ -244,5 +239,5 @@
 ! File with contact map of reference configuration
 ! FIXME: This must go. Reference structure needs to be read in main()
-      open(9,file='1vp.ref')
+      open(9,file='enkefa.ref')
 ! File with multicanonical parameter
       open(10,file='muca.d')
@@ -266,5 +261,5 @@
        end do
       end do
-      write (logString, *) 'Number of contacts in reference conformation:',nci
+      write(*,*) 'Number of contacts in reference conformation:',nci
 
 ! Read in fields with multicanonical parameter
@@ -282,5 +277,5 @@
         vlvr(iv) = x
        end do
-       write (logString, *) 'Last iteration, energy:',nswm,eol_old
+       write(*,*) 'Last iteration, energy:',nswm,eol_old
       else
 ! _________________________________ random start
@@ -294,13 +289,13 @@
 
       eol = energy()
-      write (logString, '(e12.5,/)')  eol
+      write (*,'(e12.5,/)')  eol
       call contacts(nhy,nhx,dham)
-      write (logString, *) 'Number of contacts in start configuration:',nhy
-      write (logString, *) 'Number of native contacts in start configuration:',   &
+      write(*,*) 'Number of contacts in start configuration:',nhy
+      write(*,*) 'Number of native contacts in start configuration:',   &
      &            nhx
       do i=1,nresi
-       write (logString, '(62I1)') (ijcont(i,j), j=1,nresi)
-      end do
-      write (logString, *)
+       write(*,'(62I1)') (ijcont(i,j), j=1,nresi)
+      end do
+      write(*,*)
 
 
@@ -355,11 +350,11 @@
 
       acz = acz/dble(nsw*nvr)
-      write (logString, *) 'last energy',eol
-      write (logString, *) 'acceptance rate:',acz
+      write(*,*) 'last energy',eol
+      write(*,*) 'acceptance rate:',acz
 
 ! WRITE DOWN (UN-REWEIGHTED) HISTOGRAM OF MULTICANONICAL SIMULATION
       do i=kmin,kmax
        if(xhist(i).gt.0.0d0) then
-        write (logString, *) i,xhist(i)
+        write(*,*) i,xhist(i)
        end if
       end do
Index: mulcan_sim.f
===================================================================
--- mulcan_sim.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ mulcan_sim.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,24 +1,24 @@
-! **************************************************************
-!
-! This file contains the subroutines: mulcan_sim,muca_weight2
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: mulcan_sim,muca_weight2
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine  mulcan_sim
-!
-! PURPOSE: PERFORM A MULTICANONICAL SIMULATION
-! REQUIRES AS INPUT THE MULTICANONICAL PARAMETER AS CALCULATED
-! BY THE SUBROUTINE mulcan_par
-!
-! CALLS: addang, contacts,energy,metropolis
-!
+C
+C PURPOSE: PERFORM A MULTICANONICAL SIMULATION
+C REQUIRES AS INPUT THE MULTICANONICAL PARAMETER AS CALCULATED
+C BY THE SUBROUTINE mulcan_par
+C
+c CALLS: addang, contacts,energy,metropolis
+c
       include 'INCL.H'
 
-!     external rand
+c     external rand
       external muca_weight2
 
@@ -29,15 +29,15 @@
       parameter(nsweep=100000,nequi=100)
       Parameter(nsave=1000,nmes=10)
-!
-!     restart: .true. =  restart of simulation
-!              .false. = start of simulation with random configuration
-!     kmin,kmax: Range of multicanonical parameter
-!     ebin:      bin size for multicanonical parameter
-!     nequi: Number of sweeps for equilibrisation
-!     nsweep:  Number of sweeps for simulation run
-!     nsave:  Number of sweeps after which actual configuration is saved
-!             for re-starts
-!     nmes: Number of sweeps between measurments
-!
+C
+C     restart: .true. =  restart of simulation
+C              .false. = start of simulation with random configuration
+C     kmin,kmax: Range of multicanonical parameter
+C     ebin:      bin size for multicanonical parameter
+C     nequi: Number of sweeps for equilibrisation
+C     nsweep:  Number of sweeps for simulation run
+C     nsave:  Number of sweeps after which actual configuration is saved
+C             for re-starts
+C     nmes: Number of sweeps between measurments
+C
 
       dimension xhist(kmin:kmax),ihist(kmin:kmax)
@@ -45,11 +45,11 @@
 
  
-! FILE with last conformation (for re-starts)
+C FILE with last conformation (for re-starts)
       open(8,file='EXAMPLES/start.d')
-! File with contact map of reference configuration
+C File with contact map of reference configuration
       open(9,file='EXAMPLES/enkefa.ref')
-! File with multicanonical parameter
+C File with multicanonical parameter
       open(10,file='EXAMPLES/muca.d')
-! Result file: Time series of certain quantities
+C Result file: Time series of certain quantities
       open(11, file='EXAMPLES/time.d')
 
@@ -60,7 +60,7 @@
 
       nresi=irsml2(1)-irsml1(1) + 1
-!     nresi:  Number of residues
-
-! READ  REFERENCE CONTACT MAP
+c     nresi:  Number of residues
+
+C READ  REFERENCE CONTACT MAP
       nci = 0
       do i=1,nresi
@@ -72,11 +72,11 @@
        end do
       end do
-      write (logString, *) 'Number of contacts in reference conformation:',nci
-
-! READ IN FIELDS WITH MULTICANONICAL PARAMETER
+      write(*,*) 'Number of contacts in reference conformation:',nci
+
+C READ IN FIELDS WITH MULTICANONICAL PARAMETER
       Do j=kmin,kmax
        read(10,*) i,b(i),alpha(i)
       end do
-!
+C
 
       if(restart) then
@@ -88,7 +88,7 @@
         vlvr(iv) = x
        end do
-       write (logString, *) 'Last iteration, energy:',nswm,eol_old
+       write(*,*) 'Last iteration, energy:',nswm,eol_old
       else
-! _________________________________ random start
+c _________________________________ random start
        do i=1,nvr
         iv=idvr(i)  ! provides index of non-fixed variable
@@ -98,20 +98,20 @@
        enddo
       end if
-!
+c
       eol = energy()
-      write (logString, '(e12.5,/)')  eol
+      write (*,'(e12.5,/)')  eol
       call contacts(nhy,nhx,dham)
-      write (logString, *) 'Number of contacts in start configuration:',nhy
-      write (logString, *) 'Number of native contacts in start configuration:',
+      write(*,*) 'Number of contacts in start configuration:',nhy
+      write(*,*) 'Number of native contacts in start configuration:',
      &            nhx
       do i=1,nresi
-       write (logString, '(62I1)') (ijcont(i,j), j=1,nresi)
-      end do
-      write (logString, *)
-!
+       write(*,'(62I1)') (ijcont(i,j), j=1,nresi)
+      end do
+      write(*,*)
+C
 
       
       if(.not.restart) then
-! =====================Equilibrization by  Metropolis
+c =====================Equilibrization by  Metropolis
        do nsw=1,nequi
         call metropolis(eol,acz,muca_weight2)
@@ -123,15 +123,15 @@
       end if
 
-!======================Simulation
+C======================Simulation
       acz = 0.0d0
-! LOOP OVER SWEEPS
+C LOOP OVER SWEEPS
       do nsw=nswm,nsweep
-!
-! METROPOLIS UPDATE
+C
+C METROPOLIS UPDATE
        call metropolis(eol,acz,muca_weight2)
        muold = min(kmax,max(kmin,int(eol/ebin+sign(0.5d0,eol))))
        ihist(muold) = ihist(muold) + 1
-!
-!  SAVE ACTUAL CONFORMATIONS FOR RE-STARTS:
+C
+C  SAVE ACTUAL CONFORMATIONS FOR RE-STARTS:
        if(mod(nsw,nsave).eq.0) then
         rewind 8
@@ -143,36 +143,36 @@
         end do
        end if
-! Measurements after NMES sweeps
+C Measurements after NMES sweeps
        if(mod(nsw,nmes).eq.0) then
-! Take a histogram of energy
+C Take a histogram of energy
         do i=kmin,kmax
          xhist(i) = xhist(i) + ihist(i)
          ihist(i) = 0
         end do
-! Calculate contacts in actual configuartion and compare with reference
-! configuration
-!       call contacts(nhx,nhy,dham)
-! nhx : Number of contcats in actual conformation
-! nhy : Number of contacts which are identical in actual and reference 
-!       configuration
-! dham:  Hamming distance between actual and reference configuration      
-!
+c Calculate contacts in actual configuartion and compare with reference
+C configuration
+c       call contacts(nhx,nhy,dham)
+C nhx : Number of contcats in actual conformation
+C nhy : Number of contacts which are identical in actual and reference 
+C       configuration
+C dham:  Hamming distance between actual and reference configuration      
+C
         write(11,'(i7,f12.2,2i8,f12.4)')  nsw,eol,nhx,nhy,dham
        end if
       end do
-! END OF SIMULATION
-
-! FINAL OUTPUT:
+C END OF SIMULATION
+
+C FINAL OUTPUT:
       acz = acz/dble(nsw*nvr)
-      write (logString, *) 'last energy',eol
-      write (logString, *) 'aczeptance rate:',acz
-
-! WRITE DOWN (UN-REWEIGHTED) HISTOGRAM OF MULTICANONICAL SIMULATION
+      write(*,*) 'last energy',eol
+      write(*,*) 'aczeptance rate:',acz
+
+C WRITE DOWN (UN-REWEIGHTED) HISTOGRAM OF MULTICANONICAL SIMULATION
       do i=kmin,kmax
        if(xhist(i).gt.0.0d0) then
-        write (logString, *) i,xhist(i)
+        write(*,*) i,xhist(i)
        end if
       end do
-! =====================
+c =====================
       close(8)
       close(9)
@@ -183,5 +183,5 @@
       end
 
-! ************************************************************
+c ************************************************************
       real*8 function muca_weight2(x)
 
Index: nursvr.f
===================================================================
--- nursvr.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ nursvr.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,23 +1,21 @@
-!**************************************************************
-!
-! This file contains the subroutines: nursvr, nursat
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c**************************************************************
+c
+c This file contains the subroutines: nursvr, nursat
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
       integer*4 function nursvr(ivr)
 
-! ...........................................................
-!  PURPOSE: defines index of residue for given variable 'ivr'
-!
-!  CALLS: none
-!
-! ...........................................................
+c ...........................................................
+c  PURPOSE: defines index of residue for given variable 'ivr'
+c
+c  CALLS: none
+c
+c ...........................................................
       include 'INCL.H'
-
-      integer i, ifirs, ivr, j
 
       do i=ntlml,1,-1
@@ -33,20 +31,17 @@
       enddo
 
-      write (logString, '(a,i5)') ' nursvr > Cannot find variable # '
-     &   ,ivr
+      write (*,'(a,i5)') ' nursvr > Cannot find variable # ',ivr
       stop
 
       end
 
-! **********************************
+c **********************************
       integer*4 function nursat(iat)
 
-! .......................................................
-!  PURPOSE: defines index of residue for given atom 'iat'
-! .......................................................
+c .......................................................
+c  PURPOSE: defines index of residue for given atom 'iat'
+c .......................................................
 
       include 'INCL.H'
-
-      integer i, ifirs, ilars, iat, j
 
       do i=1,ntlml
@@ -71,5 +66,5 @@
       enddo
 
-      write (logString, '(a,i5)') ' nursat > Cannot find atom # ',iat
+      write (*,'(a,i5)') ' nursat > Cannot find atom # ',iat
       stop
 
